package cn.com.ctop.common.utils;

import java.util.HashMap;
import java.util.Map;

public class AliyunOCRUtils {
    private static String host = "https://ocrapi-ecommerce.taobao.com";
    private static String path = "/ocrservice/ecommerce";
    private static String appcode = "a62d65f9056f491aa04e2093f85df663";

    public static String getOCRResult(String imageBase64) {
        Map<String, String> header = new HashMap<String, String>();
        header.put("Authorization", "APPCODE " + appcode);
        header.put("Content-Type", "application/json; charset=UTF-8");
        Map<String, Object> body = new HashMap<String, Object>();
        body.put("img", "data:image/jpeg;base64," + imageBase64);
        body.put("prob", false);
        return HttpUtils.httpPostRequest(host + path, body, header);
    }
}
